"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CreateNewOrganizationModule = _interopRequireDefault(require("./CreateNewOrganization.module.scss"));

var _antd = require("antd");

require("antd/dist/antd.css");

var _icons = require("@ant-design/icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const CreateNewOrganization = () => {
  const [form] = _antd.Form.useForm();

  const [, forceUpdate] = _react.default.useState({}); // To disable submit button at the beginning.


  const [disable, setDisable] = _react.default.useState(true);

  _react.default.useEffect(() => {
    forceUpdate({});
  }, []);

  const handleChange = _ref => {
    let {
      target
    } = _ref;

    if (target.value.length) {
      setDisable(false);
    } else {
      setDisable(true);
    }
  };

  const onFinish = values => {
    console.log('Finish:', values);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: _CreateNewOrganizationModule.default.CreateNewOrganization
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "signin-container"
  }, /*#__PURE__*/_react.default.createElement("h2", null, "Great to have you here"), /*#__PURE__*/_react.default.createElement(_antd.Form, {
    form: form,
    layout: "vertical",
    onFinish: onFinish,
    className: _CreateNewOrganizationModule.default.CreateNewOrganization__formContainer
  }, /*#__PURE__*/_react.default.createElement(_antd.Form.Item, {
    name: "organisationNameField",
    label: "Organisation Name",
    className: _CreateNewOrganizationModule.default.CreateNewOrganization__formContainer__label
  }, /*#__PURE__*/_react.default.createElement(_antd.Input, {
    className: _CreateNewOrganizationModule.default.CreateNewOrganization__formContainer__label__inputField,
    placeholder: "",
    "data-testid": "createOrgInput",
    onChange: handleChange
  })), /*#__PURE__*/_react.default.createElement(_antd.Form.Item, {
    shouldUpdate: true
  }, () => /*#__PURE__*/_react.default.createElement("div", {
    className: _CreateNewOrganizationModule.default.CreateNewOrganization__formContainer__btnContainer
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    type: "primary",
    htmlType: "submit",
    disabled: disable,
    "data-testid": "createOrg"
  }, /*#__PURE__*/_react.default.createElement(_icons.UsergroupAddOutlined, null), "Create Organisation")))), /*#__PURE__*/_react.default.createElement("footer", {
    className: _CreateNewOrganizationModule.default.CreateNewOrganization__footer
  }, "Need help?", /*#__PURE__*/_react.default.createElement("span", null, "Feel free to contact us "), "\xA0 ", /*#__PURE__*/_react.default.createElement("a", {
    href: "https://picsum.photos/200"
  }, "Contact Us!"))));
};

CreateNewOrganization.propTypes = {};
CreateNewOrganization.defaultProps = {};
var _default = CreateNewOrganization;
exports.default = _default;