"use strict";

var _react = require("@testing-library/react");

var _react2 = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _CreateNewOrganization = _interopRequireDefault(require("./CreateNewOrganization"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//to render the component and check if the input and button are on the screen.
it('should render the component onto the screen', () => {
  (0, _react.render)( /*#__PURE__*/_react2.default.createElement(_CreateNewOrganization.default, null));
  expect(_react.screen.getByTestId('createOrgInput')).toBeInTheDocument();
  expect(_react.screen.getByTestId('createOrg')).toBeInTheDocument();
});
it('should have the "Create organisation" button disabled when initialized', () => {
  (0, _react.render)( /*#__PURE__*/_react2.default.createElement(_CreateNewOrganization.default, null)); //At initial state the button should be disabled

  expect(_react.screen.getByTestId('createOrg')).toBeDisabled(); //to test after entering the value inside the input field the button should become enable

  const input = _react.screen.getByTestId('createOrgInput');

  _react.fireEvent.change(input, {
    target: {
      value: 'Alexa'
    }
  });

  expect(_react.screen.getByTestId('createOrg')).toBeEnabled();
});